# https://github.com/ipython/ipython/releases/download/5.6.0/ipython-5.6.0.tar.gz
%global module ipython

Name:             python-%{module}
Version:          5.6.0
Release:          %mkrel 2
Summary:          An interactive computing environment for Python

License:          (BSD and MIT and Python) and GPLv2+
Group:            Development/Python
Url:              http://ipython.org
Source0:          %{module}-%{version}.tar.xz

BuildArch:        noarch
BuildRequires:    python-decorator
BuildRequires:    python-devel
BuildRequires:    python-jsonschema
BuildRequires:    python-mistune
BuildRequires:    python-path
BuildRequires:    python-pexpect
BuildRequires:    python-pickleshare
BuildRequires:    python-prompt_toolkit
BuildRequires:    python-setuptools
BuildRequires:    python-sphinx
BuildRequires:    python-simplegeneric
BuildRequires:    python-traitlets

Requires:         python-backports-shutil_get_terminal_size
Requires:         python-decorator
Requires:         python-jsonschema
Requires:         python-mistune
Requires:         python-path
Requires:         python-pathlib
Requires:         python-pexpect
Requires:         python-pickleshare
Requires:         python-prompt_toolkit
Requires:         python-pyzmq
Requires:         python-setuptools
Requires:         python-simplegeneric
Requires:         python-sphinx
Requires:         python-traitlets
Requires:         sqlite3-tools
%rename           %{module}

%description
%{summary} 2.

%package doc
Summary:          An Enhanced Interactive Python Shell documentation
Group:            Documentation
%rename           %{module}-doc

%description doc
Documentation for %{module}.

%prep
%setup -qn %{module}-%{version}
rm -f IPython/external/decorators/_decorators.py
find IPython -type f -name "*.py" -exec sed -i 's/#!.*//' {} \;

%build
%py2_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

mv %{buildroot}%{_bindir}/%{module} %{buildroot}%{_bindir}/python2-%{module}
mv %{buildroot}%{_mandir}/man1/ipython.1 %{buildroot}%{_mandir}/man1/ipython2.1
rm -rf %{buildroot}%{python2_sitelib}/IPython/*/tests
rm -f %{buildroot}%{_bindir}/iptest*

%files
%{_bindir}/*
%{python_sitelib}/*

%files doc
%doc examples
%{_mandir}/man1/*

%changelog
* Mon Aug 22 2022 tex - 5.6.0-2pclos2022
- rebuild against updates

* Fri Apr 06 2018 marcin82 <fixxer1982 at gmail.com> 5.6.0-1pclos2018
- update

* Sun Mar 20 2016 bb <bb> 3.2.2-1pclos2016
- update
